package org.infinispan.notifications.cachelistener;

import java.util.ArrayList;
import java.util.List;

import org.infinispan.notifications.Listener;
import org.infinispan.notifications.cachelistener.annotation.CacheEntryActivated;
import org.infinispan.notifications.cachelistener.annotation.CacheEntryCreated;
import org.infinispan.notifications.cachelistener.annotation.CacheEntryEvicted;
import org.infinispan.notifications.cachelistener.annotation.CacheEntryInvalidated;
import org.infinispan.notifications.cachelistener.annotation.CacheEntryLoaded;
import org.infinispan.notifications.cachelistener.annotation.CacheEntryModified;
import org.infinispan.notifications.cachelistener.annotation.CacheEntryPassivated;
import org.infinispan.notifications.cachelistener.annotation.CacheEntryRemoved;
import org.infinispan.notifications.cachelistener.annotation.CacheEntryVisited;
import org.infinispan.notifications.cachelistener.event.CacheEntryEvent;

@Listener
public class AnotherMockCacheListener {

	List<CacheEntryEvent> events = new ArrayList<CacheEntryEvent>(4);

	@CacheEntryCreated
	@CacheEntryModified
	@CacheEntryRemoved
	@CacheEntryActivated
	@CacheEntryEvicted
	@CacheEntryInvalidated
	@CacheEntryLoaded
	@CacheEntryPassivated
	@CacheEntryVisited
	public void cacheEntryCreated(CacheEntryEvent event) {
		events.add(event);
	}

}
